# classes/phing/tasks/ext/HttpGetTask.php

A HTTP request task.

Making an HTTP request and try to match the response against an provided regular expression.

author
  Ole Markus With
package
  phing.tasks.ext
version
  $Id: HttpGetTask.php 843 2010-09-02 14:39:13Z mrook $

## \HttpGetTask
jump to top

A HTTP request task.

Making an HTTP request and try to match the response against an provided regular expression.

Extends from
  \Task
author
  Ole Markus With
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
version
  $Id: HttpGetTask.php 843 2010-09-02 14:39:13Z mrook $

### Properties

`string $dir= 'null'`

Holds the save location

Default value `null` Details

Type
  string

`string $url= 'null'`

Holds the request URL

Default value `null` Details

Type
  string

### Methods

`init( ) :`
Load the necessary environment for running this task.
Details

throws

`main( ) :`
Make the GET request
Details

throws

`setDir( $dir ) :`
Parameters

Name | Type | Description
--- | --- | ---
$dir |  |

`setFilename( $filename ) :`
Parameters

Name | Type | Description
--- | --- | ---
$filename |  |

`setUrl( $url ) :`
Parameters

Name | Type | Description
--- | --- | ---
$url |  |

Documentation was generated by DocBlox 0.13.1.